Bug 27249 - Bad link in lam-6.3.3b28-1 spec file
Summary: Bad link in lam-6.3.3b28-1 spec file
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lam
Version: 7.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-12 23:33 UTC by Ian Mortimer
Modified: 2007-04-18 16:31 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2001-02-12 23:33:58 UTC


Attachments (Terms of Use)

Description Ian Mortimer 2001-02-12 23:33:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; OSF1 V4.0 alpha)


The spec file for lam 6.3.3b28-1 makes a bad link to the master include
file.   Here's the patch:

 --- lam.spec.orig       Tue Feb 13 08:17:26 2001
+++ lam.spec    Tue Feb 13 08:18:10 2001
@@ -51,7 +51,7 @@
 cp -r $RPM_BUILD_ROOT/usr/doc .
 cp -af $RPM_BUILD_ROOT/usr/man/* $RPM_BUILD_ROOT/%{_mandir} || :
 rm -f $RPM_BUILD_ROOT/usr/include/mpi++.h
-ln -s mpi2c++/mpi++.h $RPM_BUILD_ROOT/usr/include/mpi++
+ln -s mpi2c++/mpi++.h $RPM_BUILD_ROOT%{prefix}/include/mpi++.h

 %clean
 rm -rf $RPM_BUILD_ROOT

Reproducible: Always
Steps to Reproduce:
1. Just look at the link /usr/include/mpi++.  Should be
/usr/include/mpi++.h
2.
3.

Comment 1 Trond Eivind Glomsrxd 2001-02-13 00:07:13 UTC
Fixed in lam-6.3.3b58-1 - thanks.


Note You need to log in before you can comment on or make changes to this bug.